This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1471464 - SELinux is preventing firewalld from 'relabelto' accesses on the file ifcfg-enp2s0.bak.
SELinux is preventing firewalld from 'relabelto' accesses on the file ifcfg-e...
Status: NEW
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
27
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:c72888503d7256c35f245aa02dc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-16 02:16 EDT by Mikhail
Modified: 2017-08-15 04:47 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2017-07-16 02:16:40 EDT
Description of problem:
SELinux is preventing firewalld from 'relabelto' accesses on the file ifcfg-enp2s0.bak.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that firewalld should be allowed relabelto access on the ifcfg-enp2s0.bak file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'firewalld' --raw | audit2allow -M my-firewalld
# semodule -X 300 -i my-firewalld.pp

Additional Information:
Source Context                system_u:system_r:firewalld_t:s0
Target Context                unconfined_u:object_r:net_conf_t:s0
Target Objects                ifcfg-enp2s0.bak [ file ]
Source                        firewalld
Source Path                   firewalld
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-263.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.13.0-0.rc0.git6.1.fc27.x86_64 #1
                              SMP Wed Jul 12 14:25:45 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-07-16 11:15:47 +05
Last Seen                     2017-07-16 11:15:47 +05
Local ID                      90b12fd0-2f37-4f05-9e77-503feb1f2740

Raw Audit Messages
type=AVC msg=audit(1500185747.947:401): avc:  denied  { relabelto } for  pid=784 comm="firewalld" name="ifcfg-enp2s0.bak" dev="sda1" ino=2885753 scontext=system_u:system_r:firewalld_t:s0 tcontext=unconfined_u:object_r:net_conf_t:s0 tclass=file permissive=1


Hash: firewalld,firewalld_t,net_conf_t,file,relabelto

Version-Release number of selected component:
selinux-policy-3.13.1-263.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.13.0-0.rc0.git6.1.fc27.x86_64
type:           libreport

Potential duplicate: bug 1469806
Comment 1 Jan Kurik 2017-08-15 04:47:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.